v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/nsinventory/kit-types/{kitTypeId}/kits
Retrieves non-serialized kits by kit type ID. Filtered by location, label, lotID and Kit Status.
Request
Path Parameters
-
kitTypeId(required): string(uuid)
Kit Type ID of a non-serialized kit.Example:
B1B8327AFAA6412287106192AB5984EF -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Query Parameters
-
kitStatus(required): number
Inventory status of the non-serialized kit.Example:
1 -
labelGroupId(required): string
Label group of the non-serialized kit.Example:
LABEL-GRP-001 -
limit(required): integer(int32)
Maximum number of records to display per page.Example:
25 -
location(required): string
Location of the non-serialized kit.Example:
SITE -
lotId(required): string
Lot ID of the non-serialized kit.Example:
LOT-001 -
offset(required): integer(int32)
An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter.Example:
0
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid Kit Type ID
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples